<!-- <app-sidebar></app-sidebar> -->
<div class="fixed-top container pb-5" #scrollframe style="height: 80%; overflow: scroll; z-index: 1;">
  <div class="text-center p-4">
    <img class="big-profile-img mx-auto mb-2" src="assets/img/profile.jpg">
    <h4>Maya</h4>
    <h3>
      <ngb-rating [rate]=5 [readonly]="true">
        <ng-template let-fill="fill" let-index="index">
          <span class="star" [class.filled]="fill === 100">&#9733;</span>
        </ng-template>
      </ngb-rating>
    </h3>
    <small class="text-black-50">Personal Assistant</small>
  </div>
  <hr class="mb-5">
  <div class="row mt-n4" *ngFor="let chat of chats">
    <img *ngIf="!chat.sender" src="assets/img/profile.jpg" class="small-profile-img mt-4 ml-2">
    <p [ngClass]="chat.sender? 'bg-secondary ml-auto mr-4 receiver-message': 'bg-primary mr-auto ml-2 sender-message'"
       class="my-4 p-3 text-white">{{ chat.message }}</p>
  </div>
  <div class="row mt-n4" *ngIf="typing">
    <img src="assets/img/profile.jpg" class="small-profile-img mt-4 ml-2">
    <p class="my-4 p-3 text-white bg-primary mr-auto ml-2 sender-message">
      <span class="spinner-grow spinner-grow-sm text-light mr-1"></span> Typing...
    </p>
  </div>

  <div *ngIf="counter">
    <div class="text-center mt-3">
      <h6 class="text-center">Analyzing Your Data...</h6>
      <hr>
      <div class="row">
        <div class="col text-left">
          Overall Progress
        </div>
        <div class="col text-right"  *ngIf="counter < 5">
          <span class="spinner-border spinner-border-sm text-primary"></span>
        </div>
      </div>
    </div>
    <p class="mt-2">
      <ngb-progressbar type="primary" [value]="counter*20" height="10px"></ngb-progressbar>
    </p>
  </div>
  <div class="row" *ngIf="counter>0">
    <div class="col text-left">
      <p>Website and Web Server Security Analysis</p>
    </div>
    <!-- <div class="col text-right">
      <ngb-rating [rate]=5 [readonly]="true">
        <ng-template let-fill="fill" let-index="index">
          <span class="star" [class.filled]="fill === 100">&#9733;</span>
        </ng-template>
      </ngb-rating>
    </div> -->
  </div>

  <div class="row" *ngIf="counter>1">
    <div class="col text-left">
      <p>GDPR compliance Analysis</p>
    </div>
    <!-- <div class="col text-right">
      <ngb-rating [rate]=5 [readonly]="true">
        <ng-template let-fill="fill" let-index="index">
          <span class="star" [class.filled]="fill === 100">&#9733;</span>
        </ng-template>
      </ngb-rating>
    </div> -->
  </div>

  <div class="row" *ngIf="counter>2">
    <div class="col text-left">
      <p>Cookies Security Analysis</p>
    </div>
    <!-- <div class="col text-right">
      <ngb-rating [rate]=3 [readonly]="true">
        <ng-template let-fill="fill" let-index="index">
          <span class="star" [class.filled]="fill === 100">&#9733;</span>
        </ng-template>
      </ngb-rating>
    </div> -->
  </div>

  <div class="row" *ngIf="counter>3">
    <div class="col text-left">
      <p>HTTP Headers Security Analysis</p>
    </div>
    <!-- <div class="col text-right">
      <ngb-rating [rate]=4 [readonly]="true">
        <ng-template let-fill="fill" let-index="index">
          <span class="star" [class.filled]="fill === 100">&#9733;</span>
        </ng-template>
      </ngb-rating>
    </div> -->
  </div>

  <div class="row" *ngIf="counter>4">
    <div class="col">
      <button type="button" class="btn btn-primary btn-block" (click)="router.navigate(['/result']);">See The Result</button>
    </div>
  </div>


</div>
<div class="fixed-bottom container bg-white" *ngIf="!processing && !typing" style="z-index: 2;">
  <div *ngIf="currentState().object.inputType === 'button'">
    <div class="row" *ngFor="let button of currentState().object.options">
      <button type="button" class="btn btn-custom btn-block col p-3" (click)="stateMachine(button)">{{button}}</button>
    </div>
  </div>
  <div *ngIf="currentState().object.inputType === 'text-website'">
    <form [formGroup]="textForm" (ngSubmit)="onSubmitText(textForm.value)">
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon3">https://</span>
        </div>
        <input id="answer" type="text" class="form-control" formControlName="answer" placeholder="Your Answer" aria-label="Your Answer" aria-describedby="basic-addon2">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary" type="button" type="submit">Answer</button>
        </div>
      </div>
    </form>
  </div>
  <div *ngIf="currentState().object.inputType === 'text-number'">
    <form [formGroup]="textForm" (ngSubmit)="onSubmitText(textForm.value)">
      <div class="input-group mb-3">
        <input id="answer" type="number" class="form-control" formControlName="answer" placeholder="Your Answer" aria-label="Your Answer" aria-describedby="basic-addon2">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary" type="button"  type="submit">Answer</button>
        </div>
      </div>
    </form>
  </div>
</div>
